/**
* NOTICE OF LICENSE
*
* This file is licenced under the Software License Agreement.
* With the purchase or the installation of the software in your application
* you accept the licence agreement.
*
* You must not modify, adapt or create derivative works of this source code
*
*  @author    Raymundo Salazar
*  @copyright 2017-2018 Tendencys
*  @license   LICENSE.txt
*/

var enviaHostname = "";
var shop = "";
var token = "";

$(document).on('click', '.enviaBtn', function(){
	var id = $(this).data('id'),
		url = enviaHostname+'/integrate/createlabel?shop='+shop+'&id='+id;

	$(document).find('#iframe').prop('src', function() { return url; });
	$(document).find('#enviaPrestashopModal').modal('show');

	document.getElementById('iframe').onload = function(){
		if($('#enviaPrestashopModal #preloader').is(':visible')) $('#enviaPrestashopModal #preloader').fadeOut('slow');
	}
});

$(document).on('hidden.bs.modal', '#enviaPrestashopModal', function (e) {
	
	if($('#enviaPrestashopModal #preloader').is(':hidden')) $('#enviaPrestashopModal #preloader').show();
	var count = $(document).find('#iframe').contents().find('#alert_paqueteria .alert-success').length,
		iframe = $(document).find("#enviaPrestashopModal #iframe");

	if(count > 0){
		location.reload();
	}
	$(document).find('#iframe').prop('src', function ( i, val ) { return ''; });
});

$(document).ready(function(){
	var jquery = document.querySelector("script[data-name=enviaJQuery]");

	enviaHostname = jquery.getAttribute("data-hostname");
	shop = jquery.getAttribute("data-shop");
	token = jquery.getAttribute("data-token");
});

$(document).on("change", "[name='orderBox[]']", function(){
	var ids = [],
		url = enviaHostname+"/integrate/createmultilabel?shop="+shop+"&prestashop=true&";
	$("[name='orderBox[]']:checked").each(function(i, e){
		ids.push("ids[]="+$(e).val());
	});

	url += ids.join("&");

	if($(".envia-multilabels").length == 0){
		btn = "<div class=\"col-lg-6 text-right\"><a class=\"btn btn-default bulk-actions envia-multilabels enviaBtn\" target=\"_blank\" style=\"margin-left:10px;padding:0;\" href=\""+url+"\"><span class=\"img\"><img src=\"https://s3.us-east-2.amazonaws.com/enviapaqueteria/uploads/images/logo-enviapaqueteria.png\" alt=\"\"></span><span>Generar Multiguías</span></a></div>";
		$(".bulk-actions").parents(".col-lg-6").after(btn);
		$("#table-order").parents(".table-responsive-row").prepend("<div class=\"row\" style=\"margin-bottom: 17px;\"><div class=\"col-lg-6 text-right\">&nbsp;</div>"+btn+"</div>");
	}else{
		if(ids.length > 0){
			$(".envia-multilabels").attr("href", url);
		}else{
			$(".envia-multilabels").remove();
		}
	}
});